"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _crossFetch = _interopRequireDefault(require("cross-fetch"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

/* eslint-disable flowtype/no-weak-types */
async function _default(request) {
  const fetchResponse = await (0, _crossFetch.default)(request.url, {
    method: request.method,
    headers: Object.assign({}, request.headers, {
      'Content-Type': 'application/json'
    }),
    body: JSON.stringify(request.body)
  });
  const headers = {};
  fetchResponse.headers.forEach((value, key) => {
    if (headers[key]) {
      headers[key] = `${headers[key]}, ${value}`;
    } else {
      headers[key] = value;
    }
  });
  return {
    status: fetchResponse.status,
    headers,
    body: await fetchResponse.json()
  };
}