"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var crypto = _interopRequireWildcard(require("crypto"));

var _util = require("util");

var _http = require("./../http");

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const sleep = (0, _util.promisify)(setTimeout);

async function _default(repoName, data, token) {
  let publicKey;

  while (!publicKey) {
    await sleep(2000);
    const response = await (0, _http.sendRequest)({
      method: 'GET',
      url: `https://api.travis-ci.org/repo/${encodeURIComponent(repoName)}/key_pair/generated`,
      headers: {
        'Travis-API-Version': '3',
        Authorization: `token ${token}`
      }
    });
    publicKey = response.body.public_key;
  } // $FlowFixMe


  return crypto.publicEncrypt({
    key: publicKey,
    // $FlowFixMe
    padding: crypto.constants.RSA_PKCS1_PADDING
  }, Buffer.from(data)).toString('base64');
}