"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _http = require("./../http");

var _util = require("util");

const sleep = (0, _util.promisify)(setTimeout);

async function _default(token) {
  const {
    body: {
      id: userId,
      synced_at: lastSyncTime
    }
  } = await (0, _http.sendRequest)({
    method: 'GET',
    url: 'https://api.travis-ci.org/user',
    headers: {
      'Travis-API-Version': '3',
      Authorization: `token ${token}`
    }
  });
  await (0, _http.sendRequest)({
    method: 'POST',
    url: `https://api.travis-ci.org/user/${userId}/sync`,
    headers: {
      'Travis-API-Version': '3',
      Authorization: `token ${token}`
    }
  });

  while (true) {
    await sleep(1000);
    const {
      body: {
        synced_at: syncTime
      }
    } = await (0, _http.sendRequest)({
      method: 'GET',
      url: 'https://api.travis-ci.org/user',
      headers: {
        'Travis-API-Version': '3',
        Authorization: `token ${token}`
      }
    });

    if (syncTime !== lastSyncTime) {
      return;
    }
  }
}