"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

function _default({
  repoName
}) {
  const [, packageName] = repoName.split('/');
  return {
    path: 'README.md',
    content: `
      # ${packageName}
      ![npm](https://img.shields.io/npm/v/${packageName}.svg)
      [![Build Status](https://travis-ci.org/${repoName}.svg?branch=master)](https://travis-ci.org/${repoName})
      [![dependencies Status](https://david-dm.org/${repoName}/status.svg)](https://david-dm.org/${repoName})
      [![devDependencies Status](https://david-dm.org/${repoName}/dev-status.svg)](https://david-dm.org/${repoName}?type=dev)

      An awesome package

      ## Usage
      Install [${packageName}](https://yarnpkg.com/en/package/${packageName})
      by running:

      \`\`\`sh
      yarn add ${packageName}
      \`\`\`
    `
  };
}